#
# spec file for package dwarves (Version 1.6)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           dwarves
Url:            http://oops.ghostprotocols.net:81/blog
Summary:        DWARF utilities
Version:        1.6
Release:        1
License:        GPL v2 or later
Group:          System/Libraries
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  cmake libdw-devel libdwarf-devel libebl-devel libelf-devel
BuildRequires:  libelf
Requires:       libdwarves1 = %{version}
%requires_eq    libebl
%requires_eq    libdwarf

%description
DWARF utitlies

Authors:
--------
    Arnaldo Carvalho de Melo <acme@redhat.com>
    
%debug_package
%package -n libdwarves1
Summary:        DWARF processing libraries of dwarves tools
Group:          Development/Libraries

%description -n libdwarves1 
DWARF library of dwarves tools

%package -n libdwarves-devel
Summary:        DWARF processing library development files
Group:          Development/Libraries
Requires:       libdwarves1 = %{version}-%{release}

%description -n libdwarves-devel
DWARF processing library development files

Authors:
--------
    Arnaldo Carvalho de Melo <acme@redhat.com>

%prep
%setup -q -c

%build
export CFLAGS="$RPM_OPT_FLAGS"
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} -D__LIB=%{_lib} .
make

%install
make DESTDIR=%{buildroot} install

%post -n libdwarves1 -p /sbin/ldconfig 

%postun -n libdwarves1 -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README NEWS
%{_bindir}/*

%files -n libdwarves1
%defattr(-,root,root)
%{_libdir}/*.*so.*

%files -n libdwarves-devel
%defattr(-,root,root)
%{_libdir}/*.*so
%{_includedir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%changelog
* Fri Feb 29 2008 dmueller@suse.de
- update to 1.6 release
* Sat Dec 01 2007 dgollub@suse.de
- initial package of dwarves
